Package org.flowable.engine.migration

# Class ProcessInstanceBatchMigrationPartResult

java.lang.Object
org.flowable.engine.migration.ProcessInstanceBatchMigrationPartResult

public class ProcessInstanceBatchMigrationPartResult extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `batchId`
  `protected String`
  `migrationMessage`
  `protected String`
  `migrationStacktrace`
  `protected String`
  `processInstanceId`
  `protected String`
  `result`
  `protected String`
  `sourceProcessDefinitionId`
  `protected String`
  `status`
  `protected String`
  `targetProcessDefinitionId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessInstanceBatchMigrationPartResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBatchId()`
  `String`
  `getMigrationMessage()`
  `String`
  `getMigrationStacktrace()`
  `String`
  `getProcessInstanceId()`
  `String`
  `getResult()`
  `String`
  `getSourceProcessDefinitionId()`
  `String`
  `getStatus()`
  `String`
  `getTargetProcessDefinitionId()`
  `void`
  `setBatchId(String batchId)`
  `void`
  `setMigrationMessage(String migrationMessage)`
  `void`
  `setMigrationStacktrace(String migrationStacktrace)`
  `void`
  `setProcessInstanceId(String processInstanceId)`
  `void`
  `setResult(String result)`
  `void`
  `setSourceProcessDefinitionId(String sourceProcessDefinitionId)`
  `void`
  `setStatus(String status)`
  `void`
  `setTargetProcessDefinitionId(String targetProcessDefinitionId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### batchId

    protected String batchId

  - ### status

    protected String status

  - ### result

    protected String result

  - ### processInstanceId

    protected String processInstanceId

  - ### sourceProcessDefinitionId

    protected String sourceProcessDefinitionId

  - ### targetProcessDefinitionId

    protected String targetProcessDefinitionId

  - ### migrationMessage

    protected String migrationMessage

  - ### migrationStacktrace

    protected String migrationStacktrace

- ## Constructor Details

  - ### ProcessInstanceBatchMigrationPartResult

    public ProcessInstanceBatchMigrationPartResult()

- ## Method Details

  - ### getBatchId

    public String getBatchId()

  - ### setBatchId

    public void setBatchId(String batchId)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getResult

    public String getResult()

  - ### setResult

    public void setResult(String result)

  - ### getProcessInstanceId

    public String getProcessInstanceId()

  - ### setProcessInstanceId

    public void setProcessInstanceId(String processInstanceId)

  - ### getSourceProcessDefinitionId

    public String getSourceProcessDefinitionId()

  - ### setSourceProcessDefinitionId

    public void setSourceProcessDefinitionId(String sourceProcessDefinitionId)

  - ### getTargetProcessDefinitionId

    public String getTargetProcessDefinitionId()

  - ### setTargetProcessDefinitionId

    public void setTargetProcessDefinitionId(String targetProcessDefinitionId)

  - ### getMigrationMessage

    public String getMigrationMessage()

  - ### setMigrationMessage

    public void setMigrationMessage(String migrationMessage)

  - ### getMigrationStacktrace

    public String getMigrationStacktrace()

  - ### setMigrationStacktrace

    public void setMigrationStacktrace(String migrationStacktrace)